ALTER TABLE Trn_OilFacturaProd ADD ItemGuia INT DEFAULT(0) NOT NULL,VrBaseRet DECIMAL(16,6) DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_OilDevFacProd ADD ItemGuia INT DEFAULT(0) NOT NULL,VrBaseRet DECIMAL(16,6) DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_OilTraslado ALTER COLUMN Total_MP DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN VU_MP DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN Total_TRA DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN VU_TRA DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN Total_TVacio DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN VU_TVacio DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN Total_Standby DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN VU_Standby DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN Total_MOD DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTraslado ALTER COLUMN Total_CIF DECIMAL(20,6) NOT NULL
GO
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoAnt DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN VrUnitario DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN VrTotal DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoMPAnt DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoMPMes DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoUndMP DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoUndTra DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoTotalTra DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoTotalSB DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoUndVco DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoTotalVco DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoTotalMod DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoProd ALTER COLUMN CostoTotalCif DECIMAL(20,6) NOT NULL
GO
ALTER TABLE Trn_OilTrasladoRubros ALTER COLUMN VrUnitario DECIMAL(20,6) NOT NULL
ALTER TABLE Trn_OilTrasladoRubros ALTER COLUMN VrTotal DECIMAL(20,6) NOT NULL
GO

INSERT INTO TiposProd (TipoProd)
VALUES ('FUEL_OIL_2')
INSERT INTO TiposProd (TipoProd)
VALUES ('BIOACEM')
GO
IF NOT EXISTS(SELECT * FROM TiposProd WHERE TipoProd='CRUDO_MP')
 INSERT INTO TiposProd (TipoProd)
 VALUES ('CRUDO_MP')
GO
IF NOT EXISTS(SELECT * FROM TiposProd WHERE TipoProd='CRUDO_COM')
 INSERT INTO TiposProd (TipoProd)
 VALUES ('CRUDO_COM')
GO
IF NOT EXISTS(SELECT * FROM TiposProd WHERE TipoProd='TERMINADO')
 INSERT INTO TiposProd (TipoProd)
 VALUES ('TERMINADO')
GO
IF NOT EXISTS(SELECT * FROM TiposProd WHERE TipoProd='CONSUMO')
 INSERT INTO TiposProd (TipoProd)
 VALUES ('CONSUMO')
GO